Bug 226654 - Replace invalidSnapOffsetIndex with std::optional<unsigned>
Summary: Replace invalidSnapOffsetIndex with std::optional<unsigned>
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Scrolling (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords: InRadar
Depends on: 226630
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-04 11:27 PDT by Martin Robinson
Modified: 2021-06-16 00:37 PDT (History)
8 users (show)

See Also:


Attachments
Patch (59.02 KB, patch)
2021-06-15 04:48 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff
Patch (65.07 KB, patch)
2021-06-15 06:31 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2021-06-04 11:27:13 PDT
Using std::optional<unsigned> instead of UINT_MAX to indicate when there is no selected scroll offset will more easily prevent errors in the code.
Comment 1 Radar WebKit Bug Importer 2021-06-11 11:28:43 PDT
<rdar://problem/79208115>
Comment 2 Martin Robinson 2021-06-15 04:48:30 PDT
Created attachment 431423 [details]
Patch
Comment 3 Martin Robinson 2021-06-15 06:31:57 PDT
Created attachment 431432 [details]
Patch
Comment 4 EWS 2021-06-16 00:37:57 PDT
Committed r278923 (238854@main): <https://commits.webkit.org/238854@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 431432 [details].